org.apache.lucene.luke.models.search

## Class MLTConfig

- java.lang.Object
- - org.apache.lucene.luke.models.search.MLTConfig

-     public final class MLTConfig
      extends Object

  Configurations for MoreLikeThis query.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MLTConfig.Builder` Builder for `MLTConfig`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getFieldNames()`
    `int` | `getMaxDocFreq()`
    `int` | `getMinDocFreq()`
    `int` | `getMinTermFreq()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFieldNames

          public String[] getFieldNames()

    - #### getMaxDocFreq

          public int getMaxDocFreq()

    - #### getMinDocFreq

          public int getMinDocFreq()

    - #### getMinTermFreq

          public int getMinTermFreq()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.